Loading...
Searching...
No Matches
AVOptionArrayDef Struct Reference
libavutil » Data Structures » AVOptions

May be set as default_val for AV_OPT_TYPE_FLAG_ARRAY options. More...

`#include <libavutil/opt.h>`

## Data Fields

const char * | def
| Native access only.
unsigned | size_min
| Minimum number of elements in the array.
unsigned | size_max
| Maximum number of elements in the array, 0 when unlimited.
char | sep
| Separator between array elements in string representations of this option, used by av_opt_set() and av_opt_get().

## Detailed Description

May be set as default_val for AV_OPT_TYPE_FLAG_ARRAY options.

Definition at line 395 of file opt.h.

## Field Documentation

## def

const char* AVOptionArrayDef::def

Native access only.

Default value of the option, as would be serialized by av_opt_get() (i.e. using the value of sep as the separator).

Definition at line 402 of file opt.h.

## size_min

unsigned AVOptionArrayDef::size_min

Minimum number of elements in the array.

When this field is non-zero, def must be non-NULL and contain at least this number of elements.

Definition at line 408 of file opt.h.

## size_max

unsigned AVOptionArrayDef::size_max

Maximum number of elements in the array, 0 when unlimited.

Definition at line 412 of file opt.h.

## sep

char AVOptionArrayDef::sep

Separator between array elements in string representations of this option, used by av_opt_set() and av_opt_get().

It must be a printable ASCII character, excluding alphanumeric and the backslash. A comma is used when sep=0.

The separator and the backslash must be backslash-escaped in order to appear in string representations of the option value.

Definition at line 423 of file opt.h.

The documentation for this struct was generated from the following file:

- libavutil/opt.h